Dancer2::Serializer::Dumper(3pm)

NAME
Dancer2::Serializer::Dumper - Serializer for handling Dumper data

VERSION
version 2.1.0

DESCRIPTION
This is a serializer engine that allows you to turn Perl data structures into Data::Dumper output and vice-versa.

ATTRIBUTES

  content_type
Returns 'text/x-data-dumper'

METHODS

  serialize($content)
Serializes a Perl data structure into a Dumper string.

  deserialize($content)
Deserialize a Dumper string into a Perl data structure.

FUNCTIONS

  from_dumper($content)
This is an helper available to transform a Data::Dumper output to a Perl data structures.

  to_dumper($content)
This is an helper available to transform a Perl data structures to a Data::Dumper output.

Calling this function will not trigger the serialization's hooks.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.